Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Tue, 05 Jul 2022 23:12:45 +0000

>
> Would it be feasible to combine Gregory's work here with the new ticks 
> code?
>
> That is, not enabling the new mode by default in all buffers, but if 
> we've registered that a particular window has generated a lot of ticks, 
> then we check the buffer for long lines and then enable the mode in that 
> buffer.
>
> I.e., postpone enabling the mode until we see that we need it.  That 
> should make most programmatic usages not trigger the mode.
>

Our mails crossed each other: the problem of programmatic usages is now 
solved AFAICS.